package com.ruoyi.project.training.elearn.domain;

import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 考试题库关联对象 t_el_exam_repo
 *
 * @author ssy
 * @date 2024-05-29
 */
public class TElExamRepo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 考试ID */
    @Excel(name = "考试ID")
    private Long examId;

    /** 题库ID */
    @Excel(name = "题库ID")
    private Long repoId;

    /** 单选题数量 */
    @Excel(name = "单选题数量")
    private Long radioCount;

    /** 单选题分数 */
    @Excel(name = "单选题分数")
    private Long radioScore;

    /** 多选题数量 */
    @Excel(name = "多选题数量")
    private Long multiCount;

    /** 多选题分数 */
    @Excel(name = "多选题分数")
    private Long multiScore;

    /** 判断题数量 */
    @Excel(name = "判断题数量")
    private Long judgeCount;

    /** 判断题分数 */
    @Excel(name = "判断题分数")
    private Long judgeScore;

    /** 简答题数量 */
    @Excel(name = "简答题数量")
    private Long saqCount;

    /** 简答题分数 */
    @Excel(name = "简答题分数")
    private Long saqScore;

    private Integer totalRadio;

    private Integer totalMulti;

    private Integer totalJudge;
    private Integer quType;
    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setExamId(Long examId)
    {
        this.examId = examId;
    }

    public Long getExamId()
    {
        return examId;
    }
    public void setRepoId(Long repoId)
    {
        this.repoId = repoId;
    }

    public Long getRepoId()
    {
        return repoId;
    }
    public void setRadioCount(Long radioCount)
    {
        this.radioCount = radioCount;
    }

    public Long getRadioCount()
    {
        return radioCount;
    }
    public void setRadioScore(Long radioScore)
    {
        this.radioScore = radioScore;
    }

    public Long getRadioScore()
    {
        return radioScore;
    }
    public void setMultiCount(Long multiCount)
    {
        this.multiCount = multiCount;
    }

    public Long getMultiCount()
    {
        return multiCount;
    }
    public void setMultiScore(Long multiScore)
    {
        this.multiScore = multiScore;
    }

    public Long getMultiScore()
    {
        return multiScore;
    }
    public void setJudgeCount(Long judgeCount)
    {
        this.judgeCount = judgeCount;
    }

    public Long getJudgeCount()
    {
        return judgeCount;
    }
    public void setJudgeScore(Long judgeScore)
    {
        this.judgeScore = judgeScore;
    }

    public Long getJudgeScore()
    {
        return judgeScore;
    }
    public void setSaqCount(Long saqCount)
    {
        this.saqCount = saqCount;
    }

    public Long getSaqCount()
    {
        return saqCount;
    }
    public void setSaqScore(Long saqScore)
    {
        this.saqScore = saqScore;
    }

    public Long getSaqScore()
    {
        return saqScore;
    }

    public Integer getQuType() {
        return quType;
    }

    public void setQuType(Integer quType) {
        this.quType = quType;
    }

    public Integer getTotalRadio() {
        return totalRadio;
    }

    public void setTotalRadio(Integer totalRadio) {
        this.totalRadio = totalRadio;
    }

    public Integer getTotalMulti() {
        return totalMulti;
    }

    public void setTotalMulti(Integer totalMulti) {
        this.totalMulti = totalMulti;
    }

    public Integer getTotalJudge() {
        return totalJudge;
    }

    public void setTotalJudge(Integer totalJudge) {
        this.totalJudge = totalJudge;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("examId", getExamId())
            .append("repoId", getRepoId())
            .append("radioCount", getRadioCount())
            .append("radioScore", getRadioScore())
            .append("multiCount", getMultiCount())
            .append("multiScore", getMultiScore())
            .append("judgeCount", getJudgeCount())
            .append("judgeScore", getJudgeScore())
            .append("saqCount", getSaqCount())
            .append("saqScore", getSaqScore())
            .toString();
    }
}
